package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.CustomerDiningRecord;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2021-5-24 14:06
 */
@Repository
public interface CustomerDiningRecordDAO {

    int insert(CustomerDiningRecord entity);
    int update(CustomerDiningRecord entity);
    int exist(String id);
    CustomerDiningRecord get(String id);
    int delete(String id);
    List<CustomerDiningRecord> list();
    List<CustomerDiningRecord> search(Map<String,Object> searchParams, List<Sort> sortList);
}
